package cn.superdesk.uniorder.dubbo.facade.fund;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.exception.UnifiedOrderRuntimeException;
import cn.superdesk.uniorder.dao.entity.fund.SysFundUser;
import cn.superdesk.uniorder.dto.vo.fund.SysFundUserVoEx;

import java.util.List;
import java.util.Map;

public interface DubboSysFundUserService {

	void create(String token, SysFundUser sysFundUser) throws UnifiedOrderRuntimeException;

	void update(String token, SysFundUser sysFundUser);

	R<List<SysFundUserVoEx>> findAllViewPage(Map<String, Object> params, int pageNum, int pageSize);

	SysFundUserVoEx selectById(Map<String, Object> params) throws UnifiedOrderRuntimeException;
}
